/*
 * $Id: AgentDefinitionParser.java 10901 2008-02-20 13:11:46Z acooke $
 * --------------------------------------------------------------------------------------
 * Copyright (c) MuleSource, Inc.  All rights reserved.  http://www.mulesource.com
 *
 * The software in this package is published under the terms of the CPAL v1.0
 * license, a copy of which has been included with this distribution in the
 * LICENSE.txt file.
 */

package org.mule.config.spring.parsers.specific;

import org.mule.config.spring.parsers.generic.MuleOrphanDefinitionParser;
import org.mule.config.spring.parsers.processors.ProvideDefaultNameFromElement;

public class AgentDefinitionParser extends MuleOrphanDefinitionParser
{

    public AgentDefinitionParser()
    {
        super(true);
        registerPreProcessor(new ProvideDefaultNameFromElement());
    }

    public AgentDefinitionParser(Class beanClass)
    {
        super(beanClass, true);
        registerPreProcessor(new ProvideDefaultNameFromElement());
    }

}
